#!/usr/local/bin/python
#----------------------------------------------------------------------------------------------------
#$Header: svn://localhost/dtapublic/projs/dtats/trunk/projs/2018/20181111_learning_python/lutz_5th_ed/chapter_04/chapter_04.py 253 2018-11-12 02:11:09Z dashley $
#----------------------------------------------------------------------------------------------------
#David T. Ashley, 11/2018
#----------------------------------------------------------------------------------------------------
#This file contains notes and experiments as I worked through Mark Lutz's book, "Learning
#Python: Powerful Object-Oriented Programming 5th Edition, Kindle Edition", Chapter 5.
#----------------------------------------------------------------------------------------------------
import sys
import math   #Many math functions available in Python libraries.

#Numeric Types
#-------------

#Numeric Literals
#   o Integers as expected.
#   o Octal:   0o177
#   o Hex:     0x9ff
#   o Binary:  0b101010
#   o Complex Number:  3+4j, 3j

#Floating points are implemented as C "double"s.

#Integer promotion to arbitrary length is automatic in Python 3.X.
#Normal and long integers have been merged.

#Built-in calls hex(), oct(), and bin() convert an integer to that
#representation.
print(hex(41213))
print(oct(41213))
print(bin(41213))

#Complex numbers represented internally with a pair of floating point numbers.
c = 1j
c2 = c*c
print(c)
print(c2)

#Complex numbers may also be crated with the complex() built-in call.
c3 = complex(-4.29, 3.22)
print(c3)

#x//y floor division.
print(49.0/5.0)
print(49.0//5.0)

#Comparison operators may be chained:  x < y < z is the same as
#x < y and y < z.



#----------------------------------------------------------------------------------------------------

